Get strategy approvals history
curl --request GET \
--url https://api.itoflow.ai/paper-trading/{strategyId}/approvals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/paper-trading/{strategyId}/approvals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/paper-trading/{strategyId}/approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"approvals": [
{
"approval_set_id": "<string>",
"created_at": "<string>",
"decision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason_code": "<string>",
"status": "<string>",
"superseded_at": "<string>",
"updated_at": "<string>",
"trade_facts": "<unknown>",
"trade_ids": "<unknown>"
}
],
"limit": 123,
"offset": 123,
"strategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalCount": 123
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}Strategies
Get strategy approvals history
Returns historical live approval proposals for a strategy.
Operation ID: get__paper_trading_strategyId_approvals.
GET
https://api.itoflow.ai
/
paper-trading
/
{strategyId}
/
approvals
Get strategy approvals history
curl --request GET \
--url https://api.itoflow.ai/paper-trading/{strategyId}/approvals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itoflow.ai/paper-trading/{strategyId}/approvals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itoflow.ai/paper-trading/{strategyId}/approvals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"approvals": [
{
"approval_set_id": "<string>",
"created_at": "<string>",
"decision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason_code": "<string>",
"status": "<string>",
"superseded_at": "<string>",
"updated_at": "<string>",
"trade_facts": "<unknown>",
"trade_ids": "<unknown>"
}
],
"limit": 123,
"offset": 123,
"strategyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totalCount": 123
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}{
"error": "<string>",
"available": "<string>",
"billing_action": {
"href": "<string>",
"kind": "upgrade",
"label": "<string>"
},
"code": "<string>",
"currentVersion": 123,
"details": "<unknown>",
"expectedVersion": 123,
"message": "<string>",
"requested": "<string>",
"usage": "<unknown>"
}